Retrieve all registered holder application instances
Roles
Analytics Events
/v1/holder/applications/{applicationId}/instancesRetrieves all registered instances of a holder application.
This can be used by application owners to view all registered instances for a given holder application.
Analytic events
- CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_LIST_START
- CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for a registered holder application.
uuidQuery Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/holder/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7/instances"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": [
{
"id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c",
"appAttestationType": "key_attestation",
"registeredAt": "2023-10-05T14:48:00.000Z",
"licenseExpiresAt": "2024-10-05T14:48:00.000Z",
"lastAttestedAt": "2023-12-01T10:30:00.000Z",
"externalReferenceId": "external-ref-12345",
"deviceDetails": {
"deviceModel": "iPhone 12",
"deviceMake": "Apple",
"osVersion": "iOS 14.4"
},
"sdkDetails": {
"sdkVersion": "1.2.3"
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a holder application DELETE
Deletes an existing holder application. Once deleted, any associated application instances will no longer be able to interact with the MATTR VII platform. ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_DELETE_START * CREDENTIAL_HOLDER_APPLICATION_DELETE_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_DELETE_FAIL
Retrieve a registered holder application instance GET
Retrieves a registered instance of a holder application. ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_START * CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_INSTANCE_RETRIEVE_FAIL